Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbehave.core.model
Class ExamplesTableFactory

    java.lang.Object
      org.jbehave.core.model.ExamplesTableFactory

    public class ExamplesTableFactory

extends Object

Factory that creates instances of ExamplesTable from different type of inputs:

- table text input, i.e. any input that contains a `Keywords.examplesTableHeaderSeparator()`
- resource path input, the table as text is loaded via the `ResourceLoader` (defaulting to `LoadFromClasspath`).

Factory also supports optional specification of `ParameterConverters` to allow the ExamplesTable to convert row values.

NOTE: Users needing parameter conversion in the ExamplesTable, i.e. invoking `ExamplesTable.getRowAsParameters(int)`, will need to use a factory constructor providing explicitly the ParameterConverters instance configured in the `Configuration.useParameterConverters(ParameterConverters)`.

Constructor Summary
`ExamplesTableFactory()`
`ExamplesTableFactory(Keywords keywords)`
`ExamplesTableFactory(Keywords keywords, ResourceLoader resourceLoader, ParameterConverters parameterConverters)`
`ExamplesTableFactory(Keywords keywords, ResourceLoader resourceLoader, ParameterConverters parameterConverters, TableTransformers tableTranformers)`
`ExamplesTableFactory(ParameterConverters parameterConverters)`
`ExamplesTableFactory(ResourceLoader resourceLoader)`
`ExamplesTableFactory(TableTransformers tableTransformers)`

Method Summary
`ExamplesTable` | `createExamplesTable(String input)`
`protected boolean` | `isTable(String input)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExamplesTableFactory

    public ExamplesTableFactory()

### ExamplesTableFactory

    public ExamplesTableFactory(Keywords keywords)

### ExamplesTableFactory

    public ExamplesTableFactory(ResourceLoader resourceLoader)

### ExamplesTableFactory

    public ExamplesTableFactory(ParameterConverters parameterConverters)

### ExamplesTableFactory

    public ExamplesTableFactory(TableTransformers tableTransformers)

### ExamplesTableFactory

    public ExamplesTableFactory(Keywords keywords,
                                ResourceLoader resourceLoader,
                                ParameterConverters parameterConverters)

### ExamplesTableFactory

    public ExamplesTableFactory(Keywords keywords,
                                ResourceLoader resourceLoader,
                                ParameterConverters parameterConverters,
                                TableTransformers tableTranformers)

Method Detail

### createExamplesTable

    public ExamplesTable createExamplesTable(String input)

### isTable

    protected boolean isTable(String input)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2013. All Rights Reserved.